Skip to main content
GET
/
plans
List data plans
curl --request GET \
  --url https://dashboard.hologram.io/api/1/plans \
  --header 'Authorization: Basic <encoded-value>'
{
  "success": true,
  "limit": 123,
  "size": 123,
  "continues": true,
  "lastid": 123,
  "links": {
    "path": "<string>",
    "base": "<string>",
    "next": "<string>"
  },
  "data": [
    {
      "id": 123,
      "name": "<string>",
      "description": "<string>",
      "data": 123,
      "billingperiod": 123,
      "groupid": 123,
      "partnerid": 123,
      "display_category": "<string>",
      "cellular_coverage_region_id": 123,
      "use_variable_rates": true,
      "is_dynamic_pool": true,
      "cellular_coverage_region": {
        "id": 123,
        "display_name": "<string>",
        "description": "<string>"
      },
      "tiers": {},
      "current_tier": "<string>",
      "zones": {},
      "amountglobal": "<string>",
      "smsglobal": "<string>",
      "overageglobal": "<string>",
      "variable_rates_range": {
        "min": 123,
        "max": 123
      },
      "profiles": [
        {
          "carrierId": 123,
          "name": "<string>",
          "offerId": 123
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

HTTP Basic authentication using API keys. Set the username to apikey and the password to your API key. You can find your API key on the Hologram Dashboard under Account Settings.

Query Parameters

orgid
integer

Filter results to this organization ID

id
integer

Filter by a specific plan ID

ids
string

Comma-separated list of plan IDs to filter by

name
string

Filter results to plans whose name contains this string

carrierid
integer

Filter results to plans available on this carrier ID

display_category
string

Filter results to plans in this display category

startafter
integer

Return results after the record with this ID (cursor-based pagination)

include_rate_card_range
boolean

When true, each plan response will include variable_rates_range metadata sourced from the rate card API

rate_card_effective_date
string

Override the effective date used when fetching plan rate card data

limit
integer

Maximum number of results to return (max 1000)

Required range: x <= 1000
Example:

25

cellular_coverage_region_id
integer

Filter results to plans assigned to this cellular coverage region ID

network
integer

Filter results to plans available on this carrier ID (alias for carrierid)

includezdr
boolean

When true, include zero data rate fields (zero_data_rate_flag, zero_data_rate) in each pricing tier

includepid
boolean

When true, include the pricing entry ID (tier_pricing_id) in each pricing tier

Response

OK

success
boolean

Indicates whether the request was successful.

Example:

true

limit
integer
size
integer
continues
boolean
lastid
integer

ID of the last record returned, for cursor-based pagination

data
object[]